package nz.co.cloudstore.airconsoledemo.adapters;

import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Spinner;
import android.widget.TextView;

import nz.co.cloudstore.airconsoledemo.R;

public class SpinnerViewHolder extends RecyclerView.ViewHolder implements AdapterView.OnItemSelectedListener {

    public TextView title;
    public Spinner spinner;
    public ArrayAdapter<String> adapter;
    public int id;

    public SpinnerViewHolder(View itemView) {
        super(itemView);
        spinner = itemView.findViewById(R.id.spinner);
        title = itemView.findViewById(R.id.titleTextView);
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @Override
    public void onItemSelected(AdapterView<?> adapterView, View view, int i, long l) {
        Log.d("SpinnerViewHolder", "onItemSelected caught!");
    }

    @Override
    public void onNothingSelected(AdapterView<?> adapterView) {
        Log.d("SpinnerViewHolder", "onNothingSelected caught!");

    }
}
